Retrieves the unavailability with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_unavailability
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
date_start

Date+Time of the beginning

date

Required

date_end

Date+Time of the end

date

Required

modified_dateutc

Date+Time of the modified

date

Required

description

Description of the unavailability

string

Max length: 255

is_approved

Indicate if this object has been approved using a User Week Approval

boolean
user_id

User owner of this unavailability

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_unavailability

user

Optionally required : user_id, user_code or user must be provided

user_unavailability_type_id

Type of the unavailability, cf model user_unavailability_type

globally unique identifier

Required

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type_code

Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type

Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability

user_unavailability_type

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

Response Formats

application/json, text/json

Sample:
{
  "id": "8d962c7a-6b2b-4ccf-85f8-42b0498cfcd7",
  "date_start": "2026-11-11T08:21:29.4459654+00:00",
  "date_end": "2026-11-11T08:21:29.4459654+00:00",
  "modified_dateutc": "2026-11-11T08:21:29.4459654+00:00",
  "description": "sample string 5",
  "is_approved": true,
  "user_id": "e26c9436-386d-4a55-82d1-b54fb67d9082",
  "user_code": "sample string 8",
  "user": {
    "id": "89abb264-9938-4784-92c4-3f4a4be4d8b4",
    "db_language_id": "61bee190-9330-4218-a909-b8b64f80ad35",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-11-11T08:21:29.4459654+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "a10bb6f6-705c-4e3e-9d26-0d740bc0a7a9",
    "sales_organization": {
      "id": "bcf6816c-7655-4760-984b-c7d25e0ddea3",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "0104395f-d591-4792-9cc7-e3e40628c5f9",
      "db_currency_id": "540ced15-97a5-4679-9873-4442a26ddfc3",
      "db_language_id": "8d282635-9bb8-49d0-9615-719b8a44e5d6",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-11T08:21:29.4459654+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "a9e8c88d-a2ef-464b-8038-16591bc69cf5",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "2e31eca9-b018-4eb1-94f9-b3f701f39cf7",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-11-11T08:21:29.4459654+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "2111b3ca-83ca-4dcb-9aec-c5721de72f9a"
  },
  "user_unavailability_type_id": "f55ae2e6-eadf-4df7-930d-00b8658709c0",
  "user_unavailability_type_code": "sample string 10",
  "user_unavailability_type": {
    "id": "17babf25-f59e-4195-8e66-2bd101bc21da",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "sales_organization_id": "9b0ca4a9-e9df-4a2d-9817-d9d4795c72c8",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "bcf6816c-7655-4760-984b-c7d25e0ddea3",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "0104395f-d591-4792-9cc7-e3e40628c5f9",
      "db_currency_id": "540ced15-97a5-4679-9873-4442a26ddfc3",
      "db_language_id": "8d282635-9bb8-49d0-9615-719b8a44e5d6",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-11T08:21:29.4459654+00:00"
    },
    "modified_dateutc": "2026-11-11T08:21:29.4459654+00:00"
  }
}